
FDoodson<-function(marfile){

	### Chargement de la table ###
	mat<-read.table(marfile,header=TRUE, sep=";")

	mat_clean<-FCleanREFMARData(mat)

	print("mat_clean ok")

	#### Matrice des mesures ####
	newmat<-matrix(mat_clean[,4],ncol=24,byrow=TRUE)
	
	taille<-dim(newmat)
	
	#### Vecteur des dates (annes dcimales) ####
	
	hours<-as.numeric(mat_clean[,3])
			
	years<-as.numeric(mat_clean[,1])
			
	ndays<-as.numeric(mat_clean[,2])

	days<-mat_clean[,5]

		
	### Nombre de jours dans l'anne

	ndinyear<-FIsBissextil(years)
	
	dec_years<-years+ndays/ndinyear+hours/(24*ndinyear)

	#### Affichage donnes ####
	size_nm<-taille

	H<-c(t(newmat))
	
	count<-seq(1,length(H),1)
	
	#### Vecteur poids Doodson ####

	PdsDood<-c(1,0,1,0,0,1,0,1,1,0,2,0,1,1,0,2,1,1,2,0,2,1,1,2,0,1,1,0,2,0,1,1,0,1,
			0,0,1,0,1)
	nbvpd <- 30
	lgmatD <- 39

	mat_resuD <-matrix(rep(NA,times=4*(size_nm[1]-2)),ncol=4);   

	t<-dim(mat_resuD )
	
	cpt<-0

	for (i in 2:(t[1]+1)){
	
		cptna<-0
		vecintD<-as.numeric(c(newmat[i-1,18:24],newmat[i,],newmat[i+1,1:8]))
		k<-1
		cpt<-cpt+1
		
		while(k<(lgmatD+1) ){

			# Une valeur NA au plus pour le calcul
			if(is.na(vecintD[k])==TRUE) cptna<-cptna+1
		
			if((k==lgmatD)&&(cptna<2)){
	
				mat_resuD[i-1,]<-c(unlist(mat[i,1:3]),
								sum(unlist(vecintD)*PdsDood)/nbvpd)
			}
			k<-k+1
		}

	}	
	
	### Nouveau vecteur des dates
	
	daily_years<-years[13]
	daily_ndays<-ndays[13]
	daily_days<-days[13]

	cpt<-13+24
	while(cpt<length(years)){

		daily_years<-c(daily_years,years[cpt])
		daily_ndays<-c(daily_ndays,ndays[cpt])
		daily_days<-c(daily_days,days[cpt])

		cpt<-cpt+24
	}

	daily_ndinyear<-FIsBissextil(daily_years)

	new_count<-daily_years[2:(length(daily_years)-1)]+daily_ndays[2:(length(daily_years)-1)]/daily_ndinyear[2:(length(daily_years)-1)]
	
	### Affichage
	# Donnes horaires
	plot(dec_years,H,type="l",col="lightblue",xlab="Date (annes)",
		main="Donnes margraphiques filtres\r\nFiltre de Doodson",
		ylab="Hauteur (m)")
	# Moyennes journalires
	lines(new_count,mat_resuD[,4],col="darkblue")

	### Ecriture de la nouvelle table
	dates<-format(signif(new_count,8),width=10,digits=10)

	Hfin<-format(round(mat_resuD[,4],1),digits=4)
	
	write.table(cbind(daily_days[2:(length(daily_days)-1)],Hfin),file = "dailymean.slv", append = FALSE, quote = FALSE,
	row.names = FALSE, col.names = FALSE)

}