FCleanREFMARData<-function(mat){

	nmat<-mat[,2]
	dates<-mat[,1]
	

	#First and last date of the observations file
	start_ini<-as.character(dates[1])
	end_ini<-as.character(tail(dates,1))
	
	pre_start<-substr(start_ini,0,10)
	pre_end<-substr(end_ini,0,10)
	
	#Start at 00:00:00 and finish at 23:00:00
	start<-paste(pre_start,"00:00:00",sep=" ")
	end<-paste(pre_end,"23:00:00",sep=" ")

	#New vector of date (with no gaps)
	new_vecdate<-timeSequence(from=start,to=end,by="1 hour",format="%d/%m/%Y %H:%M:%S")
	nb<-length(new_vecdate)
	days<-substr(as.character(new_vecdate),0,10)

	#New vector of heights (with no gaps)
	new_h<-rep(NA,length=nb)
	
	years<-rep(NA,length=nb)
	doys<-rep(NA,length=nb)
	hours<-rep(NA,length=nb)
	
	#Initial vector of dates
	ini_vecdate<-timeDate(as.character(dates),format="%d/%m/%Y %H:%M:%S")
	
	#Creation of the new heights vector. Gaps are replaced by NAs
	
	for (i in 1:nb){
		date_th<-new_vecdate[i]
	
		#Observation for this date?
		obs<-nmat[ini_vecdate==date_th]
	
		if (length(obs)!=0){
			#Observation exists at this date
			new_h[i]<-obs
		}	
	
		#Day of year 
		doys[i]<-as.numeric(dayOfYear(date_th))
	
		#Year of observation
		years[i]<-substr(as.character(date_th),0,4)
	
		#Hour of observation
		hours[i]<-substr(as.character(date_th),12,13)
	

		if (hours[i]==""){
			hours[i]="00"
		}
	}

	#Final matrix
	matfin<-cbind(years,doys,hours,new_h,days)


	FCleanREFMARData<-matfin
	
}




